Bug 373831 - WPA2 Personal Security Missing From Options
WPA2 Personal Security Missing From Options
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 16:19 EST by Richi Plana
Modified: 2007-12-03 00:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.0-0.6.6.svn3109.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 00:35:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richi Plana 2007-11-09 16:19:05 EST
Description of problem:
While setting up wireless connectivity for F8, I came across the missing
security option "WPA2 Personal" which was present and mostly working in Fedora
7. It is not clear if the option has been renamed (most wireless routers call it
"WPA2 Personal"), not working and therefore removed or dropped for some other
reason.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.5.svn3030.fc8

Additional info:
I'm using the ath_pci.ko kernel module from Madwifi because the included ath5k
wouldn't work (NetworkManager wouldn't pick up the wireless interface) and using
manual iwutils couldn't get any working feedback.
Comment 1 Dan Williams 2007-11-13 10:55:19 EST
You probably want WPA Pre-shared Key...  Does that show up in the menu?  We
probably should rename it.
Comment 2 Richi Plana 2007-11-13 11:07:32 EST
Yes, "WPA Pre-shared Key" does show up. Not being a wireless networking expert,
I'm not sure if "WPA Pre-shared Key" is what I'm looking for, but I will test
it. I just wanted to mention that in the Linksys router I'm using, the list of
Security Modes are:

WEP
WPA Personal
WPA2 Personal
WPA Enterprise
WPA2 Enterprise
RADIUS
Disabled

which was closely matched by the previous NM versions security modes. The new
ones can be a bit misleading (if, in fact, it simply is a naming issue).

Does that mean then that "WPA Pre-share Key" would work for both "WPA Personal"
and "WPA2 Personal"?

I'll test the settings and report back my findings.
Comment 3 Richi Plana 2007-11-13 11:19:07 EST
Alright, I've confirmed that the NM option "WPA Pre-Shared Key" works for both
router options "WPA Personal" and "WPA2 Personal". Are the two actually
different protocols? Have they been integrated into one functionality in NM?
Perhaps the information can be made clearer in the options list by renaming it.
Comment 4 Dan Williams 2007-11-13 12:12:28 EST
Have renamed it upstream, will be in next build of NM.  WPA[2] Personal actually
is also called WPA-PSK in places, but the term "Personal" is likely better, and
is more consistent with the "WPA & WPA2 Enterprise" option in the menu as well.
Comment 5 Richi Plana 2007-11-13 12:44:13 EST
Could you attach the patch here, as well?
Comment 6 Fedora Update System 2007-11-28 20:44:01 EST
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'
Comment 7 Fedora Update System 2007-12-03 00:35:40 EST
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.